package com.goafanti.demand.bo;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.goafanti.common.constant.AFTConstants;
import com.goafanti.common.model.DemandPublish;

public class DemandPublishBo extends DemandPublish{
	/**需求编号*/
	private String serialNumber;
	/**需求名称*/
	private String name;
	/**需求客户名称*/
	private String userName;
	/**发布人名称*/
	private String publisherName;
	/**子平台名称*/
	private String platformName;
	/**页面位置名称*/
	private String publishPageName;
	public String getSerialNumber() {
		return serialNumber;
	}
	public void setSerialNumber(String serialNumber) {
		this.serialNumber = serialNumber;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getPublisherName() {
		return publisherName;
	}
	public void setPublisherName(String publisherName) {
		this.publisherName = publisherName;
	}
	public String getPublishTimeFormattedDate() {
		if (publishTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getPublishTime(), AFTConstants.YYYYMMDDHHMMSS);
		}
	}
	public String getPlatformName() {
		return platformName;
	}
	public void setPlatformName(String platformName) {
		this.platformName = platformName;
	}
	public String getPublishPageName() {
		return publishPageName;
	}
	public void setPublishPageName(String publishPageName) {
		this.publishPageName = publishPageName;
	}
}
